PosSizeProperty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.properties
Class PosSizeProperty

    java.lang.Object
      net.ctdp.rfdynhud.properties.Property
          net.ctdp.rfdynhud.properties.PosSizeProperty

    public abstract class PosSizeProperty

extends Property

The `PosSizeProperty` is utilized by the `Position` and `Size` classes to customize positional and size values. This class is not meant to be used by a Widget programmer directly.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`PosSizeProperty(java.lang.String name, java.lang.String nameForDisplay, boolean isSizeProp)`
`PosSizeProperty(java.lang.String name, java.lang.String nameForDisplay, boolean readonly, boolean isSizeProp)`

Method Summary
`java.lang.String` | `getButton1Text(boolean isPerc)`
`java.lang.String` | `getButton1Tooltip(boolean isPerc)`
`java.lang.String` | `getButton2Text(boolean isPerc)`
`java.lang.String` | `getButton2Tooltip(boolean isPerc)`
`abstract boolean` | `isPercentage()` Is percentage value?
`boolean` | `isSizeProp()` Returns `true`, if this is a size property, `false`, if this is a position property.
`void` | `onButton2Clicked(java.lang.Object button)`

Methods inherited from class net.ctdp.rfdynhud.properties.Property
`getButtonText, getButtonTooltip, getDefaultValue, getDocumentationSource, getEditorType, getKeeper, getName, getNameForDisplay, getValue, getValueForConfigurationFile, hasDefaultValue, isMatchingKey, isReadOnly, loadValue, onButtonClicked, onKeeperSet, quoteValueInConfigurationFile, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PosSizeProperty

    public PosSizeProperty(java.lang.String name,
                           java.lang.String nameForDisplay,
                           boolean readonly,
                           boolean isSizeProp)

Parameters:
  `name` - the technical name used internally. See `Property.getName()`.
  `nameForDisplay` - the name displayed in the editor. See `Property.getNameForDisplay()`. If `null` is passed, the value of the name parameter is used.
  `readonly` - read only property?
  `isSizeProp` - `true`, if this is a size property, `false`, if this is a position property

### PosSizeProperty

    public PosSizeProperty(java.lang.String name,
                           java.lang.String nameForDisplay,
                           boolean isSizeProp)

Parameters:
  `name` - the technical name used internally. See `Property.getName()`.
  `nameForDisplay` - the name displayed in the editor. See `Property.getNameForDisplay()`. If `null` is passed, the value of the name parameter is used.
  `isSizeProp` - `true`, if this is a size property, `false`, if this is a position property

Method Detail

### isSizeProp

    public final boolean isSizeProp()

  Returns `true`, if this is a size property, `false`, if this is a position property.

  Returns:
    `true`, if this is a size property, `false`, if this is a position property.

### isPercentage

    public abstract boolean isPercentage()

  Is percentage value?

  Returns:
    is percentage value?

### getButton1Text

    public java.lang.String getButton1Text(boolean isPerc)

### getButton1Tooltip

    public java.lang.String getButton1Tooltip(boolean isPerc)

### getButton2Text

    public java.lang.String getButton2Text(boolean isPerc)

### getButton2Tooltip

    public java.lang.String getButton2Tooltip(boolean isPerc)

### onButton2Clicked

    public void onButton2Clicked(java.lang.Object button)

  Parameters:
    `button` - the clicked button

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD